Evolution 1.4.1, 2003-06-25
---------------------------

Bugzilla bugs fixed (see http://bugzilla.ximian.com/show_bug.cgi):

  * Addressbook

    #41826 - Focus the first minicard when focusing the view for the
             first time (gilbert.fang@sun.com)
    #43841 - Contact editor will not save Web Page address (Toshok)
    #44477 - Make sure the master category list is upgraded (Toshok)

  * Calendar

    #41582 - Display incorrect after switching between week and day
             view (Rodrigo)
    #43585 - Ugly tasks printout (Hans Petter)
    #45273 - Tab through events in day view (Bolian Yin)
    #45275 - Shift+F10 to activate Popup menu in ToDo List (Bolian Yin)
    #45423 - Provide shortcus for "Go to today" and "Go to date" (Bolian Yin)

  * Mail

    #22542 - Creating a folder in the vFolder store fails with a
             meaningless message (Michael)
    #31745 - Cannot view mails under '#mh' namespace.  Temporary
             workaround, strip #'s (Michael)
    #33593 - Message remains displayed after last message removed from
             list (Michael)
    #40788 - Broken POP3 server causing evolution to hang/crash (Jeff)
    #42630 - collapsed thread always shows as unread (Jeff)
    #43917 - ECharsetPicker doesn't save user-specified charset strings
             properly (Jeff)
    #43972 - Invert selection doesn't work (Jeff)
    #43974 - Cannot retrieve "Local Delivery" mail (Michael)
    #44121 - Invalid multipart/signed message showing empty (Michael)
    #44139 - Composer spacing is not HIG compliant (Jeff)
    #44322 - Evolution crash with weird IMAP foldername (Michael)
    #44344 - Dont use quoted-printable encoding on anything but text/*
             parts, interoperation with Lookout and others (Jeff)
    #44457 - Crash viewing video content as inline-text (Jeff)
    #44519 - Popup message view redraws when new mail arrives (Michael)
    #44609 - HIG issue with vFolder properties editor (Michael)
    #44991 - Cannot send mail in GB-2312 (Jeff)
    #45082 - GB18030 BIG5HKSCS and EUC-TW charsets not supported in
             evolution mail (suresh.chandrasekharan@sun.com)
    #45063 - Message display refreshes when new mail arrives,
    	     introducted by #33593 (Michael)
    #45386 - Warnings when sending mail (Michael)
    #45368 - Crash when closing the folder browser

  * Summary

    #44111 - Crash on exit (Ettore)
    #44798 - Crash when closing print preview dialog (Ettore)

  * All

    #42691 - Build, make clean doesn't rebuild bonobo-activation
             .server files (Michael)
    #44717 - Tarball cointains generated files (Frederic Crozat)

Other bugs

  * Calendar

    - Fix invalid shared use of list of calendar factories (Rodrigo)
    - Make the calendar editor window title reflect the summary contents (Rodrigo)

  * Mail

    - Fix bug in indexer string normalisation (they weren't) (Larry)
    - Major memory leak in message-threading (Larry)
    - Only try to snoop a content-type if its application/octet-stream
      when displaying mail parts (Jeff)
    - Major memory leak in filter-file based filters (Jeff)
    - Try to make asynchronous dns lookup more asynchronously
      cancellable (Michael)
    - Fix a degenerate algorithm case in vFolder shutdown which could
      cause excessive exit cpu usage (Michael)

  * Shell

    - Wrong version number used for configuration upgrade (Michael)

  * All

    - Lots of miscellaneous memory leaks

Updated translations:

  - cs (Miloslav Trmac, Stanislav Brabec)
  - el (Kostas Papadimas)
  - es (Francisco Javier F. Serrador)
  - hu (Andras Timar)
  - it (Marco Ciampa)
  - ko (Kan Jeong-Hee)
  - mk (Ivan Stojmirov)
  - nl (Vincent van Adrighem)
  - pt_BR (Gustavo Maciel Dias Vieira)
  - sr, sr@Latn (prevod.org)
  - sv (Christian Rose)
  - tr (Gorkem Cetin)
  - zh_CN (Wang Li, Funda Wang)


Evolution 1.4, 2003-06-02
-------------------------

Bugzilla bugs fixed (see http://bugzilla.ximian.com/show_bug.cgi):

  * Calendar
  
    #43388 - Problems importing appointments  (Rodrigo)
    #43455 - Crash on exit  (Rodrigo)
    #43763 - 2 right mouse menus appear in Week & Month views  (Rodrigo)
    #43775 - Crash under Chinese locale  (JP)

  * Mail

    #42854 - Copying files from one IMAP folder to another makes
             multiple copies of file  (Jeff)
    #43862 - First run imap account won't load folders until account
             is disabled and re-enabled  (Jeff, Michael)
    #42691 - Server files not regenerated after distclean  (Michael)
    #43805 - Evolution locked while editing reply to an mail  (Jeff)
    #43410 - Flag for Followup dialog opens up too small in Evo  (Michael)
    #43688 - Can't save signatures  (Michael)

  * Summary

    #43506 - Spontaneous crash  (Ettore)

  * Misc

    #43596 - Symlink icon file so it doesn't break existing panel
             setups  (Ettore)

Other bugs fixed:

  * Addressbook

    - Removed conflicting shortcut for the Print Preview menu item
      (Rodney)

  * Misc

    - Corrected some problems in the pkgconfig files  (Rodney)
    - Fixed an issue with GConf schema file installation  (Joe Marcus
      Clarke)

Updated translations:

  - nl (Vincent van Adrighem)
  - ru (GNOME Russian Team)
  - be (GNOME Belarusian Team)
  - es (Francisco Javier F. Serrador)


Evolution 1.3.92, 2003-05-22
----------------------------

Bugzilla bugs fixed (see http://bugzilla.ximian.com/show_bug.cgi):

  * Addressbook

    #38084 - Rename local folder issue in contacts  (sean.gao@sun.com)
    #41130 - HIG compliance  (Anna)
    #41137 - HIG compliance  (Anna)
    #41140 - HIG compliance  (Anna)
    #41144 - Use stock buttons in the ldap config page  (Toshok)
    #41211 - Add icon to "Add" button in "Add to Contacts" dialog  (Toshok)
    #41229 - HIG compliance  (Anna)
    #41231 - HIG compliance  (Anna)
    #41232 - HIG compliance  (Anna)
    #41245 - HIG compliance  (Toshok)
    #41248 - HIG compliance  (Anna)
    #41249 - HIG compliance  (Anna)
    #41250 - HIG compliance  (Anna)
    #41251 - HIG compliance  (Anna)
    #41254 - HIG compliance  (Anna)
    #41255 - Use stock Add/Remove icons in the contact list editor  (Toshok)
    #41910 - Crash when deleting addresses from long contact lists  (Toshok)
    #42048 - "Print" not hooked up in etable view  (Toshok)
    #42177 - Cannot tab out of date edit widgets in contact editor  (Toshok)
    #42472 - Selecting a field in a contact highlights entire row  (Toshok)
    #42596 - Selecting text in a contact address field selects all
             rows of text (Toshok)
    #42604 - Display not shifted when cursor moved to next address
             line (Toshok)
    #42606 - Not saving information entered in Notes field of Contact
             editor (Toshok)
    #42620 - Crash related to mailing address checkbox  (Toshok)
    #42625 - Clicking in white space of contact brings up empty
             contact editor  (Toshok)
    #42780 - Crash on solaris due to missing NULL in g_guild_filename.
             (sean.gao@sun.com)
    #42825 - clicking on letters in LDAP address card view does not
             load selected letter (Dan, Toshok)
    #43005 - Crash on reply  (Toshok)
    #43016 - Crash when adding duplicate contact  (Toshok)
    #43023 - All contacts have disappeared  (Toshok)
    #43090 - GalView menu missing from the addressbook  (Toshok)
    #43175 - Evolution crashed pasting large amount of text into
             address field  (Toshok)
    #43213 - auto-completion folder list wasn't populated correctly on
             fresh install  (Toshok)

  * Calendar

    #40972 - connector crashed while evolution was idle  (Rodrigo)
    #41234 - button order of "Enter Delegate" dialog (Rodrigo)
    #41329 - Changing Options in scheduling tab causes display time to shift
    #41579 - Double clicked on meeting in Exchange calendar, Evo
             crashed  (Rodrigo)
    #41760 - Alarm dialog does not reappear after snoozing Exchange
             alarm  (Rodrigo)
    #41811 - Calendar update failing and crashing  (JP)
    #41930 - Warning while running gdb includes: "Some clown returned
             undeclared exception"  (JP)
    #41935 - day view ignores scroll wheel  (JP)
    #42056 - Accelerators in meeting selector not working/looks bad
             (Hans Petter)
    #42220 - calendar not refreshing correctly after changing meeting
             times  (Rodrigo)
    #43029 - When running under valgrind Evolution crashed while
             exiting  (JP)
    #43308 - scheduling page alignment (JP)

  * Mail

    #40074 - Thread expansion state not remembered  (Jeff)
    #41748 - Send/Recv not sending mail in connector Outbox  (Michael)
    #42000 - Crash selecting a non-selectable folder  (Michael)
    #42045 - Another workaround for mailers sending out invalid date
	     formats  (Jeff)
    #42118 - Edit->Mark as unread doesn't behave the same as right
	     click->mark as unread  (Jeff)
    #42170 - Thread expansion state lost on deleting messages  (Jeff)
    #42212 - Crash entering address in composer  (Rodrigo)
    #42294 - Custom fixed font setting not applying to composer
              (Michael)
    #42333 - Crash opening a mail again that was still being opened
              (Jeff)
    #42356 - Adding colour from not working properly  (Jeff)
    #42456 - Spelling preferences Enable/Disable button inconsisency
              (Michael)
    #42540 - Crash when pressing send/recv too quickly  (Michael)
    #42710 - Invalid 8 bit header data getting to the UI layer
             generating warnings  (Michael)
    #42763 - Crash deleting local folder with indexing turned off
              (Jeff)
    #42838 - Crash setting up local mail account  (Michael)
    #42854 - Copying many messages between IMAP folders results in
             several duplicates  (Jeff)
    #43214 - changing server settings enables the account  (Jeff)
    #43234 - crash reading mail  (Michael)
    #42748 - Check spelling while I type - broken (Larry)
    #42749 - Composer ignores color for misspelled words (Larry)
    #43392 - Reproducible crash after searching mail w/ attachment and
             closing (Jeff)
    #43406 - Evo crashed during POP download/filtering  (Jeff)

  * Shell

    #36956 - Window title too long  (Ettore)
    #40391 - Updated contributor list in the about box  (Michael)
    #42038 - Crash hitting escape or closing window on rename box
              (Michael, Ettore)
    #42342 - Send/receive sensitive when startedi in offline mode
              (Ettore)
    #42465 - Unread count problem in the shortcut bar  (Ettore)
    #42491 - Compilation problems on Forte  (Antonio Xu)
    #42518 - Folder bar selection lost on folder delete  (Ettore)
    #43079 - Don't crash when an invalid "default:" URI is given on
    	     the command-line  (Ettore)
    #43119 - Memory corruption problem in settings dialog  (Ettore)
    #43216 - Crash on exit  (Ettore)
    #43322 - Crash on exit  (Ettore)

  * Summary

    #41131 - HIG compliance  (Anna)
    #41133 - HIG compliance  (Anna)
    #41849 - Charsets not respected in news feed display  (Michael)
    #43101 - Crash on exit  (JP)
    #43117 - Crash on exit  (Ettore)

Other bugs:

  * Addressbook

    - 64bit cleanup and warning fixes  (Jeremy Katz)
    - Fixed some probable memory corruption (Toshok, Sean Gao)

  * Calendar

    - Fixed crash in cal_client_discard_alarm  (Rodrigo)
    - Fixed Bonobo unrefing problems on components  (JP)
    - Fixed multiple initialization in calendar factory  (Rodrigo)

  * Mail

    - Crash on exit if password dialog was open  (Ettore)
    - Make Ok the default response on the password dialog  (Ettore)
    - Crash in SMTP if unable to resolve the remote host name  (Jeff)
    - Fix an automake 1.6 issues with camel-lock-helper  (Dan)
    - Reload page if citation color changes (Larry)
    - Made all the composer preferences work (Larry)
    - Made newly created HTML signatures work again (Radek)

  * Shell

    - HIGified config settings dialog a bit more  (Anna)
    - Fixed a bunch of reference count problems  (JP)
    - Improved the look of the "open other user's folder" dialog
      (Dan)

  * Summary

    - Fixed a typo that caused the summary to not see the default
      calendar folder  (Ettore)
    - Made the print dialog close properly  (Ettore)
    - Reference count fixes  (JP)

  * All

    - Various container referencing issues  (JPR)
    - 64 bit and portability fixups  (Jeremy Katz)
    - Cleaned up lots of compile time warnings and run-time debugging
      output  (everyone)

Updated translations:

  - cs (Miloslav Trmac)
  - da (Kenneth Rode Christiansen)
  - de (Christian Neumair)
  - es (Francisco Javier Fernandez)
  - fr (Christophe Fergeau)
  - it (Marco Ciampa)
  - ja (Takuo Kitame)
  - no (Kjartan Maraas)
  - pt (Duarte Loreto)
  - pt_BR (Gustavo Maciel Das Vieira)
  - ru (GNOME Russian Team)
  - sv (Christian Rose, Anders Carlsson)

  - Fixed encoding of the ca, en_AU, en_CB, et, eu, ro catalogs (Abel
    Cheung)


Evolution 1.3.3, 2003-04-29
---------------------------

Bugzilla bugs fixed (see http://bugzilla.ximian.com/show_bug.cgi):

  * Addressbook

    #37351 - Contact List drag-n-drop broken from sorted list view  (Toshok)
    #40954 - Wombat crashes when opening an appointment  (Toshok)
    #41843 - Don't use localized field names in the csv exporter  (Gilbert Fang)
    #41779 - Fix crash when adding emails to existing contacts  (Toshok)

  * Calendar

    #21499 - No docs in snaps (Rodney)
    #22444 - Deleting recurring meetings menu option (Rodrigo)
    #34498 - alarm-notify not noticing meetings canceled by organizer (Rodrigo)
    #35814 - same mnemonic for File:New:Mail Message and :Meeting (Rodney)
    #37552 - GUI doesn't notice Connector failed to delete task (JP)
    #39735 - Calendar View settings not persistent between sessions (JP)
    #40257 - selecting day from calendar control causes window resize (JP)
    #41129, #41215, #41221, #41256, #41148, #41216, #41235 - gui spacing (Rodrigo, Anna)
    #41230 - forwarded tasks blank when viewed in a separate window (JP)
    #41458 - Crash sending meeting invite (Dan)
    #41459 - remove "Delegate to..." from right click menu in meeting dialog (JP)
    #41641 - crash opening calendar for the first time (Hans)
    #41661 - Only one popup dialog for repeated message alarm (Rodrigo)
    #41671 - audio alarms pop up message dialog instead of playing tune (Rodrigo)

  * Mail

    #21499 - No docs in snaps  (Rodney)
    #38927 - Signature editor help brings up composer help
    #40694 - Focus not in To field of new message when From field is
             visible. (Toshok)
    #40989 - Deleted sub-folders hang around  (Michael)
    #41043 - Send/receive accelerators broken  (Michael)
    #41142 - Message search dialog has questionable button order  (Jeff)
    #41149 - Spacing/padding of "Filters" dialog  (Jeff)
    #41150 - Use stock buttons in "Filters" dialog  (Jeff)
    #41151 - Spacing/padding of "Add/Edit Filters" window  (Jeff)
    #41152 - Spacing/padding of "Vfolders" dialog  (Jeff)
    #41153 - Use stock buttons in "VFolders" window  (Jeff)
    #41155 - Spacing/padding in "Add/Edit Vfolders" dialog  (Jeff)
    #41156 - Use stock** buttons in "add/edit vfolders" dialog  (Jeff)
    #41163 - Forwarding HTML mail with inline images results in 
             misformatted mail  (Michael)
    #41164 - Can't import mails at all  (Michael)
    #41190 - Crash cursor navigating Inbox  (Michael)
    #41199 - Subscribe dialog's toolbar -- why? :)  (Michael)
    #41205 - Use icons on Add/Edit/Delete buttons in "Search Editor"  (Jeff)
    #41208 - Spacing/padding in "advanced search" dialog  (Jeff)
    #41209 - Spacing/padding of "Create VFolder from Search" dialog  (Jeff)
    #41238 - Crash when opening "attachment properties"  (Jeff)
    #41239 - Spacing/padding of "attachment properties"  (Jeff)
    #41241 - Title capitalisation of "Attachment Properties"  (Jeff)
    #41244 - Spacing/padding of "Reformat Mailbox" dialog  (Jeff)
    #41389 - Crash creating new Exchange acct  (Jeff)
    #41398 - vFolder Sources IMAP folder names not being unencoded 
             correctly  (Michael)
    #41419 - Variable font key has trailing slash  (katzj@redhat.com)
    #41448 - Crash on startup  (Michael)
    #41461 - camel_text_to_html doesn't do as good a job with URLs as 
             e_text_to_html  (Jeff)
    #41513 - Plain text attachments not showing up in the composer  (Jeff)
    #41578 - Up/down buttons broken in vfolder list  (Jeff)
    #41648 - 1.2 -> 1.3 vfolder conversion  (Michael)
    #41730 - Empty "Organization" headers  (Jeff)
    #41789 - Bonobo components can pause/freeze the gui  (Jeff)
    #41972 - Searching on labels is broken  (Michael)
    #42024 - Improper use of Error dialog  (Jeff)

  * Shell

    #21499 - Documentation not working in the snapshots  (Rodney)
    #33919 - Crash when opening other user's folder  (Dan)
    #41002 - Default folder bar size too narrow  (Ettore)
    #41008 - HIG compliance  (Anna)
    #41010 - HIG compliance  (Anna)
    #41022 - HIG compliance  (Anna)
    #41024 - HIG compliance  (Anna)
    #41025 - HIG compliance  (Anna)
    #41036 - HIG compliance  (Anna)
    #41059 - Crash connecting to other user's folder  (Ettore)
    #41013 - Startup wizard display problems  (Michael)
    #41128 - HIG compliance  (Anna)
    #41145 - HIG compliance  (Anna)
    #41146 - HIG compliance  (Anna)
    #41147 - HIG compliance  (Anna)
    #41225 - HIG compliance  (Anna)
    #41227 - HIG compliance  (Anna)
    #41242 - HIG compliance  (Anna)
    #41304 - Missing dialog title  (Michael)
    #41392 - HIG compliance  (Anna)
    #41413 - Creating folder needs to make sure parent folder is
             expanded  (Dan)
    #41468 - New Exchange public folders do not follow type of parent
             folder  (Dan)
    #41469 - Upgrade routine crashing on Solaris  (Jeff)
    #41484 - Make proxies work  (Sanshao Jiang)
    #41567 - HIG compliance  (Anna)
    #41569 - HIG compliance  (Anna)
    #41648 - Vfolder upgrade problem  (Michael)
    #41916 - Memory corruption in Storage interface  (Rodrigo)

  * Summary

    #39693 - Summary weather settings annoyances  (Ettore)
    #40902 - HIG compliance  (Ettore)

Other bugs:

  * Addressbook

    - Mostly, if not completely, fixed 33708  (Dan, Toshok)
    - Fix duplicate entry in exported CSV  (Gilbert Fang)
    - Use stock buttons  (Rodney)

  * Misc

    - Made Solaris/CDE integration work again  (Rodney)
    - Removed some debugging spewage  (everyone)
    - Don't crash on malformed GConf folder settings  (Toshok)
    - Don't error out if the directory already exists when creating a
      new folder  (Ettore)
    - Fixed various memory leaks all over the place  (Hans)

Updated translations:

  - cs (Miloslav Trmac)
  - de (Christian Neumair)
  - es (Francisco Javier Fernandez)
  - it (Marco Ciampa)
  - nl (Vincent van Adrighem)
  - no (Kjartan Maraas)
  - pt (Duarte Loreto)
  - sv (Christian Rose)
  - zh_CN (Wang Jian)


Evolution 1.3.2, 2003-04-11
---------------------------

Bugzilla bugs fixed (see http://bugzilla.ximian.com/show_bug.cgi):

  * Addressbook

    #7103  - Addressbook doesn't play nice with dark themes.  (Toshok)
    #19178 - importers only target default contact folder.  (Toshok)
    #20210 - Cannot save changes when invoked from mailer.  (Toshok)
    #23036 - Export Contact Data to CSV, XLS, etc.  (for mail merge,
             etc.) (Gilbert Fang)
    #25148 - Selected contacts fields are not scrolling properly.
             (Toshok)
    #31786 - LDAP config dialog not properly internationalized.
             (Toshok)
    #32113 - Problem with UTF8 and contact list.  (Toshok)
    #34085 - drag+drop not finalizing.  (Toshok)
    #34651 - Searches with 8bit ascii char. not working in Select
             Contacts.  (Toshok)
    #37204 - Ximian, Inc. contact info update.  (Michael)
    #38202 - Evolution crashed when I clicked the send button.  (Michael)
    #39170 - void function should not has a 'return' keyword.  (Philip
             Zhao)
    #39256 - "Forward Contact", "Send Message to Contact" don't
             work.  (Michael)
    #39381 - crash when adding an address from an email to addressbook.
             (Toshok)
    #39507 - Select-names search broken.  (Toshok)
    #39730 - Search Base Callback Not Working.  (Toshok).
    #39763 - Pasting text into "To:" field doesn't work.  (Toshok)
    #39788 - Can't add email address to contact.  (Toshok)
    #40026 - Using pulldown to view multiple emails changes email to
             random characters.  (Toshok)
    #40046 - To: and Cc: fields not accepting accented letters.
             (Toshok)
    #40403 - can't edit contact lists.  (Toshok)
    #40715 - Merge email address dialog non functional when adding
             contact that already exists. .  (Toshok)
    #40727 - email autocompletion not listing all names.  (Toshok)
    #40841 - Ctrl-v was being used for both "Save As VCard" and
             "Paste".  (Toshok)
    #40901 - HIG-ify the LDAP server editor dialog's button
             layout.   (Toshok)

  * Calendar

    #17231 - Private settings not retained.  (JP)
    #31382 - Free/busy retrieval didn't work for http source.  (Rodrigo)
    #31660 - Appointments with "for" recurrence synced with no end date.
             (JP)
    #32248 - Todo items imported from pilot have time set to 00:00.  (JP)
    #34095 - Memory leaks.  (Hans Petter)
    #34505 - Duplicate alarm dialogs for appts in exchange calendar.
             (Rodrigo)
    #35926 - Contacts entry in appointment editor to be removed.
             (Hans Petter, Dan)
    #37935 - Drawing problems in mini-calendar.  (Hans Petter)
    #39262 - Crash when importing an ics file to local calendar.  (Rodrigo)
    #39356 - New evo users didn't get calendar.  (Rodrigo)
    #39692 - File type names should not be OAF component types.  (Ettore)
    #39735 - View settings not persistent between sessions.  (Jeff)
    #39736 - Times in day view too large.  (Hans Petter)
    #39740 - Crash clicking in Attendees field when creating new
             meeting.  (Rodrigo)
    #39757 - Couldn't delete reminder for appointment.  (Hans Petter)
    #39770 - Not meeting request sent.  (Rodrigo)
    #39803 - Bottom part of text cut off in month view.  (Hans Petter)
    #39895 - Selection vanishes when day view loses focus.  (Michael/Hans)
    #39954 - Crash when setting recurrence rule for an appointment.
             (Hans Petter)
    #39955 - Crash when forwarding an appointment as icalendar.  (JP)
    #39961 - Appointment schedule autopick menu displays under File.
             (Rodrigo)
    #40133 - wombat startup error. (Toshok)
    #40195 - Cannot create new calendar folders (JP)
    #40252 - LOG(e...) syntax error (Michael)
    #40258 - Recurring event displayed truncated description.  (Hans Petter)
    #40578 - Event summaries cut off in month view.  (Hans Petter)
    #40655 - Mini-calendar always showed January 1970.  (Hans Petter)
    #40661 - Missing header for Forte compilation.  (Rodrigo)
    #40722 - Crash when closing a meeting.  (JP)
    #40789 - Didn't remember reminder text.  (JP)
    #40790 - Didn't launch programs added as reminders.  (JP)
    #40792 - Buttons in Select File dialog for sound reminder didn't
             work.  (Ettore)
    #40876 - Cannot create a meeting with a resource in Exchange 
	     calendar (JP)
    #40894 - calendar switching weeks selected in small right subcalendars 
	     (JP)
    #41127 - Evolution crashed when sending new meeting invitation (JP)

  * Mail

    #29564 - Message list loses focus when you expunge.  (Michael)
    #33786 - Crash when invalid expression fed to vFolder.  (Michael)
    #36245 - Translation string context problem.  (Dan)
    #37084 - Mailer forgets message list pane size on startup.
             (Michael)
    #38227 - Button spacing issues.  (Ettore)
    #38461 - Mail importers cannot import to non-local folders.
             (Michael)
    #38659 - RFC2047 word encoding errors.  (Jeff)
    #38926 - Configuration dialogs overlap each other. (Ettore, Jeff)
    #39165 - Losing all vFolder rules after editing them, until
             restart.  (Michael)
    #39168 - compiler compatability, empty structs.  (Jeff)
    #39170 - Compiler compatibility, returning a void return value.
             (Jeff)
    #39173 - prototype mismatch.  (Jeff)
    #39204 - Charset handling problems with broken mails.  (Jeff)
    #39256 - Send message to contact/forward contact doesn't work.
             (Michael)
    #39325 - Allow user to enable/disable account from account list.
             (Jeff)
    #39382 - Signature editor dialog buttons messed up.  (Jeff)
    #39464 - Trying to remove a duplicate vfolder crashes.  (Michael)
    #39486 - Cancelling send/receive could cause a crash.  (Michael)
    #39654 - vFolder source remove button doesn't work.  (Jeff)
    #39696 - Default composer window title is meaningless. (Jeff)
    #39741 - Configuration dialogs overlap each other. (Ettore, Jeff)
    #39744 - Sending 8 bit mime to a smtp server which doesn't say it
             supports it. (Jeff)
    #39759 - Crash using search dialog.  (Michael)
    #39800 - Make To: have focus on a new message.  (Jeff)
    #39809 - Dialog's don't match gnome 2 layout.  (Jeff)
    #39813 - Crash/noop adding signature script.  (Jeff)
    #39870 - Message browser button sensitivity not correct.  (Jeff)
    #39914 - Configuration dialogs overlap each other. (Ettore, Jeff)
    #39924, and many others - Subject entry box didn't work
             properly/support i18n very well.  (Jeff)
    #40043 - A warning dialog wont go away.  (Jeff)
    #40074 - Threads always open expanded.  (Jeff)
    #40083 - Search box doesn't work on subscription dialog - it was
             removed.  (Jeff)
    #40103 - Deadlock at startup.  (Michael)
    #40124 - Cannot unsubscribe from folders that aren't selectable.
             (Jeff)
    #40188 - Context menu on addresses crashes.  (Michael)
    #40300 - Files are only detected for recovery when you start an
             editor.  (Michael)
    #40314 - Some folders not expandable in subscriptions dialog.
             (Jeff)
    #40472 - Crash after entering password.  (Michael)
    #40522 - Two passphrase dialogues viewing encrypted mail.  (Michael)
    #40536 - Send/receive dialogue should transient for parent.
             (Michael)
    #40608 - Crash saving attachment.  (Jeff)
    #40679 - Composer crash browsing files to attach.  (Jeff)
    #40728 - Crash while scrolling.  (Jeff)
    #40764 - Composer backs up drafts too often.  (Jeff)
    #40778 - incorrect IMAP BODY parsing/display  (Jeff)
    #40900 - vfolder creation dialog has wrong button order.  (Michael)
    #40904 - Spontaneous crash.  (Jeff)
    #40921 - Cancel subscription dialogue while busy -> crash.  (Michael)
    #41004 - HIG compliance.  (Jeff)

  * Shell

    #17034 - Use UTF-8 in about box.  (Michael)
    #34371 - Tries to open other user's folder with blank user field.
    	     (Ettore)
    #38775 - Version number hardcoded in warning dialog text.  (Michael)
    #38974 - Xlib dependency causing linking error on Solaris.  (Ettore)
    #39096 - Start-up crash on Solaris.  (Ettore) 
    #39467 - Crash when splash image not found.  (Michael)
    #39599 - Crash when folder icons missing.  (Ettore)
    #39692 - OAFIIDs being shown in the importer dialog.  (Ettore)
    #39706 - Settings window too big.  (Michael)
    #40377 - Old stale wombat servers not being killed.  (Ettore)
    #40413 - Problem with closing the folder selector dialog.  (Ettore)
    #40474 - Summary settings not imported from 1.2.  (Michael)
    #40590 - Signature settings upgrade problem.  (Michael)    
    #40652 - Folder bar not resizing after resizing Evolution window.
            (Michael)
    #40748 - Cannot resize icons in the shortcut bar.  (Ettore)
    #40854 - Problem with selecting other user's folder.  (Dan)
    #40888 - Crash when selecting other user's folder.  (Dan)

  * Summary

     #5344  - Missing weather locations.  (Marten Woxberg)
     #7153  - Stock folder names not translated.  (Ettore)
     #12066 - Missing weather locations.  (Dan)
     #15740 - Missing weather locations.  (Dan)
     #18015 - Missing weather locations.  (Dan)
     #19957 - AM/PM setting not being honoured.  (Ettore)
     #40358 - Summary page not showing properly in non-C locales.
              (Ettore)
     #40141 - Preferences settings inconsistency when clicking "Close".
              (Michael)
     #32027 - Missing locations.  (Dan)

Other bugs:

  * Addressbook

    - HIG'ify the e-address-popup's buttons layout.  (Toshok)
    - Add input method support to the minicard view.  (Toshok)
    - Make the minicard view listen for style changes.  (Toshok)
    - Fix the select names component to be more friendly to non-shlib
      components.  (Dan)
    - Fix various errors in the contact editor caused by parsing
      addresses when we don't need to - especially after the user has
      explicitly entered the elements of the address
      themselves.  (Toshok)
    - Replace GtkImage based arrow buttons in the contact editor with
      GtkArrow.  (Toshok)

  * Calendar

    - Replaced all references to GdkFont deprecatedness with Pango.
      (Hans Petter)
    - Alarm notification fixes.  (Rodrigo)
    - Timezone dialog fix.  (Dan)
    - Use weak refs instead of destroy signal.  (Rodrigo, Hans Petter)
    - Use GtkMessageDialogs for meeting-related questions.  (Rodrigo)
    - GtkObject -> GObject fixes.  (Everyone)
    - Connector-related fixes.  (Dan)
    - Made meeting/scheduling work correctly.  (JP)
    - Only remove alarms for backends that request it (Rodrigo)
    - HIG'ify dialogs (Ettore)

  * Mail

    - Clear passwords didn't work.  (Michael)
    - Show preview and view threaded were made per-folder, as in
      1.2.x, 1.3.1 had them global.  (Michael)
    - Make the printing dialog, and account editor transient for the
      parent.  (Larry, Jeff)
    - Check for unique filter/vFolder names in all cases.  (Michael)
    - Most warnings removed.  (Jeff, Michael)
    - some text/plain mails detected as text/html, re-do the fix for
      #16817 to make it pickier.  (Michael)
    - Imap buffer overflow potential.  (Timo Sirainen)
    - GSSAPI SASL support.  (Jeff)
    - Handle broken header charset checking similarly to badly
      labelled/broken body content.  (Dan)
    - Various glib deprecation issues, and use non-locale specific
      string compares in various places.  (Jeff, Michael)
    - Mail piped to the sendmail transport is canoncalised into Un*x
      format, using network format (CRLF) confuses some versions of
      postfix.  (Jeff)
    - Some work on fixing cut and paste shortcuts in composer.  (Jeff)
    - Made the EvolutionComposer corba interfaces work again/port to
      GNOME 2.  (Michael)

  * Shell

    - Fixed some problems with the folder dialogs.  (Dan)
    - Fixed shell .server files.  (Dan)
    - Added --force-shutdown to the shell as a killev replacement.
      (Dan)
    - Make Evolution use large WM icons.  (Ettore)
    - Made the offline dialog work again.  (Ettore)
    - Fixed importer framework to support non-local folders.  (Ettore)

  * Summary

    - Make creation of the summary settings page faster.  (Dan)

  * All

    - A number of compiler portability fixes, varadic macro's,
      __FUNCTION__ -> G_GNUC_FUNCTION, inline usage, void returns, etc
      (Everyone)
    - Fixed druid colors.  (Dan)

Updated translations:

  - cs (Miloslav Trmac)
  - de (Christian Neumair)
  - es (Francisco Javier Fernandez)
  - fi (Sami Pesonen)
  - hu (Andras Timar)
  - it (Marco Ciampa)
  - no (Kjartan Maraas)
  - pt (Duarte Loreto)
  - pt_BR (Gustavo Maciel Dias Vieira)
  - sk (Stanislav Visnovsky)
  - sv (Christian Rose)
  - uk (Yuriy Syrota)
  - zh_TW (Chao-Hsiung Liao)


Evolution 1.3.1, 2003-03-05
---------------------------

First release based on GNOME 2.
